#
# spec file for package python-pypng
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define binaries prichunkpng priforgepng prigreypng pripalpng pripamtopng pripnglsch pripngtopam priweavepng
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python3-pypng
Version:        0.0.20
Release:        150600.1.2
Summary:        Pure Python PNG image encoder/decoder
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/drj11/pypng
Source:         https://files.pythonhosted.org/packages/source/p/pypng/pypng-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildArch:      noarch
%python_subpackages

%description
PyPNG allows PNG image files to be read and written using pure Python.

%prep
%setup -q -n pypng-%{version}
sed -i -e '/^#!\//, 1d' code/png.py

%build
%python_build

%install
%python_install
for b in %{binaries}; do
  %python_clone -a %{buildroot}%{_bindir}/$b
done
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib}:code $python code/test_png.py

%post
%{python_install_alternative %{binaries}}

%postun
%{python_uninstall_alternative prichunkpng}

%files %{python_files}
%license LICENCE
%{python_sitelib}/*
%python_alternative %{_bindir}/*
#%%python3_only %%{_bindir}/*

%changelog
* Mon Jan 15 2024 alarrosa@suse.com
- Rename package to python3-pypng so the 3.6 flavor can coexist
  with the python-pypng package that builds the python 3.11 flavor
- Use update-alternatives for the executables
* Mon Jul 22 2019 tchvatal@suse.com
- Update to 0.0.20:
  * no changelog
* Fri Mar  1 2019 tchvatal@suse.com
- Update to 0.0.19:
  * No upstream changelog, many flake/codewarning fixes
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
